Difference between revisions of "WxHaskell/Linux"

From HaskellWiki
Jump to: navigation, search
m (Gentoo)
(Debian and Ubuntu: missing libwx_gtk2u_media)
Line 10: Line 10:
 
sudo apt-get install libglu-dev<br />
 
sudo apt-get install libglu-dev<br />
 
sudo apt-get install libwxgtk2.8-dev<br />
 
sudo apt-get install libwxgtk2.8-dev<br />
  +
</code>
  +
  +
Debian has removed a dependency on gstreamer and gconf2.0 in their WxWidgets packages.
  +
  +
This may be the cause of your error when building `wxcore` if the build fails when unable to find
  +
  +
<code>
  +
libwx_gtk2u_media
  +
</code>
  +
  +
You need to install `gstreamer` and `gconf-2.0`
  +
  +
<code>
  +
sudo apt-get install libgstreamer0.10-dev<br />
  +
sudo apt-get install libstreamer-plugins-base0.10-dev<br />
  +
sudo apt-get install gconf2.0-dev<br />
  +
</code>
  +
  +
You will then need to build WxWidgets from source
  +
  +
<code>
  +
configure --enable-unicode --enable-mediactrl
  +
</code>
  +
  +
If you then are unable to find
  +
  +
<code>
  +
libwx_gtk2u_stc
 
</code>
 
</code>
   

Revision as of 04:07, 28 January 2012

This article is a stub. You can help by expanding it. This page records some user experiences building wxHaskell on Linux. It should be fleshed out now that wxHaskell 0.12 has been released.

Sources

Debian and Ubuntu

sudo apt-get install g++
sudo apt-get install libglu-dev
sudo apt-get install libwxgtk2.8-dev

Debian has removed a dependency on gstreamer and gconf2.0 in their WxWidgets packages.

This may be the cause of your error when building `wxcore` if the build fails when unable to find

libwx_gtk2u_media

You need to install `gstreamer` and `gconf-2.0`

sudo apt-get install libgstreamer0.10-dev
sudo apt-get install libstreamer-plugins-base0.10-dev
sudo apt-get install gconf2.0-dev

You will then need to build WxWidgets from source

configure --enable-unicode --enable-mediactrl

If you then are unable to find

libwx_gtk2u_stc

Gentoo

emerge -a dev-haskell/wxhaskell

Fedora Core 6